.video-block {
    position: absolute;
    inset: 0;
    margin: 0 auto;
    height: 100%;
    width: 100%;
    z-index: 1;
    pointer-events: none;

    @media (max-width: 768px) {
        display: none;
    }

    .video-wrapper {
        position: absolute;
        bottom: 0;
        right: -90px;
        max-width: 280px;
        max-height: 390px;
        border-radius: 20px;
        overflow: hidden;
        transition: bottom .3s ease-in-out, right .3s ease-in-out;

        @media (max-width: 1440px) {
            right: 20px;
            max-width: 250px;
            max-height: 360px;
        }

        @media (max-width: 1024px) {
            max-width: 200px;
            max-height: 310px;
        }

        video {
            width: 100%;
            height: 100%;
            object-fit: cover;
            border-radius: 20px;
            overflow: hidden;
        }
    }
}